package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetMiniProgramsCpPo;
import com.ruoyi.tc.mapper.AssetMiniProgramsCpMapper;
import com.ruoyi.tc.service.AssetMiniProgramsCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 小程序资产(asset_mini_programs_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetMiniProgramsCpService")
public class AssetMiniProgramsCpServiceImpl extends ServiceImpl<AssetMiniProgramsCpMapper, AssetMiniProgramsCpPo> implements AssetMiniProgramsCpService {

    @Resource
    private  AssetMiniProgramsCpMapper assetMiniProgramsCpMapper;
    @Override
    public void deletByAssetIdandTaskId(Long assetId, int taskId) {

        assetMiniProgramsCpMapper.deletByAssetIdandTaskId(assetId,taskId);

    }

    @Override
    public List<AssetMiniProgramsCpPo> findByTaskId(int taskId) {
        return assetMiniProgramsCpMapper.findByTaskId(taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy) {
        assetMiniProgramsCpMapper.updateByAssetId(assetId,taskId,btgyy);
    }
}
