package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetBasicNetworkCpPo;
import com.ruoyi.tc.entity.po.AssetSupplyChainCpPo;

import java.util.List;

/**
 * 资产供应链信息复制(asset_supply_chain_cp)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 16:07:30
 */
public interface AssetSupplyChainCpService extends IService<AssetSupplyChainCpPo> {

    /**
     * 根据资产id资产供应链原有id
     *
     * @param assetId 资产id
     * @return
     */
    List<AssetSupplyChainCpPo> findByassetId(Long assetId);


    /**
     * 根据taskid查询查询数据
     *
     * @param taskId 任务id
     * @return
     */
    List<AssetSupplyChainCpPo> findByTaskId(int taskId);




    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, int taskId);

}
