package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetEmail;
import com.ruoyi.tc.entity.po.AssetEmailCpPo;
import com.ruoyi.tc.entity.request.AssetEmailPageRequest;
import com.ruoyi.tc.mapper.AssetAppCpMapper;
import com.ruoyi.tc.mapper.AssetEmailCpMapper;
import com.ruoyi.tc.mapper.AssetEmailMapper;
import com.ruoyi.tc.service.AssetEmailCpService;
import com.ruoyi.tc.service.AssetEmailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 电子邮件资产表(asset_email)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetEmailCpService")
public class AssetEmailCpServiceImpl extends ServiceImpl<AssetEmailCpMapper, AssetEmailCpPo> implements AssetEmailCpService {



    @Resource
    private AssetEmailCpMapper assetEmailCpMapper;
    @Override
    public void deletByAssetIdandTaskId(Long assetId, int taskId) {

        assetEmailCpMapper.deletByAssetIdandTaskId(assetId,taskId);

    }

    @Override
    public List<AssetEmailCpPo> findByTaskId(int taskId) {
        return assetEmailCpMapper.findByTaskId(taskId);
    }


    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy) {
        assetEmailCpMapper.updateByAssetId(assetId,taskId,btgyy);
    }
}
